/* 
 * $Id: imonlcd.h,v 1.1 1999/06/15 21:07:16 lars Exp lars $
 * 
 * LCDproc ISDN line monitor client
 * includes code stolen from isdn4linux/imontty.c by Volker Gtz 
 *
 * Copyright (c) 1999 Lars Wessels <lars@nordsee.inka.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 *
 * $Log: imonlcd.h,v $
 * Revision 1.1  1999/06/15 21:07:16  lars
 * changes for v0.2
 *
 * Revision 1.0  1999/03/03 20:30:49  lars
 * Initial revision
 *
 */

#define  CLIENTNAME 	"imonlcd"
#define  SCREENTITLE 	" ISDN Monitor "
#define  PATH_ISDNINFO	"/dev/isdninfo"
#define  BUFSIZE		10 + (22 * ISDN_MAX_CHANNELS)
#define  MAXTOKENS  	32

typedef struct {
    char  *idmap;
    int   chmap;
    int   usage;
    char  *type;
    char  *phone;
} channel_info;

void clean_exit (int);
void alarm_exit (int);
void usage(void);
void scan_int(char *buffer, int (*field)[], int);
void scan_str(char *buffer, char *field[], int);
int check_isdn_status (FILE *, channel_info *);
int parse_server_reply(char *buffer, char *field[]);
int read_isdn_info (FILE *, channel_info *);
int init_screen(void);
